Debian Bug report logs - #643957
live-build: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sat, 1 Oct 2011 05:57:01 UTC

Severity: normal

Fixed in version live-build/3.0~a39-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sat, 01 Oct 2011 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 01 Oct 2011 05:57:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Sat, 01 Oct 2011 07:53:18 +0200
Package: live-build
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sat, 01 Oct 2011 15:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Oct 2011 15:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://live-build/{live-build-cron.templates}
Date: Sat, 1 Oct 2011 17:24:42 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in live-build.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for live-build.

The first step of the process is to review the debconf source
template file(s) of live-build. This review will start on Tuesday, October 04, 2011, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for live-build.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sat, 01 Oct 2011 16:01:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Oct 2011 16:01:05 GMT) Full text and rfc822 format available.

Message #15 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://live-build/{live-build-cron.templates}
Date: Sat, 1 Oct 2011 17:44:58 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the live-build source package.

This review will last from Saturday, October 01, 2011 to Tuesday, October 11, 2011.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- live-build.old/debian/live-build-cron.templates	2011-10-01 07:35:47.423235601 +0200
+++ live-build/debian/live-build-cron.templates	2011-10-01 17:39:25.315655638 +0200
@@ -1,3 +1,12 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
 Template: live-build-cron/title
 Type: title
 _Description: Debian Live - System Build Scripts (cron autobuilder)
@@ -6,103 +15,100 @@
 Type: boolean
 Default: false
 _Description: Enable images autobuild?
- Do you want to enable autobuild for images?
- .
- If unsure, use 'no' (default).
+ Please choose whether you want to enable autobuild for images.
 
 Template: live-build-cron/images-directory
 Type: string
-_Default: /srv/debian.net/live-cdimage
-_Description: What directory to put builds to?
- Enter the directory where the images should be stored in.
+Default: /srv/debian.net/live-cdimage
+_Description: Directory for live images build:
+ Please enter the directory where the images should be stored in.
 
 Template: live-build-cron/images-cron
 Type: string
-_Default: 0 0 * * *
-_Description: What directory to put builds to?
- Enter the cron times where the images should be build.
+Default: 0 0 * * *
+_Description: Cron times entry for image builds:
+ Please enter cron times entry that will define times where the images
+ should be built.
 
 Template: live-build-cron/images-build
 Type: select
-_Choices: git, host, release
+Choices: git, host, release
 Default: host
-_Description: Which version of live-build to use?
- Select the version of live-build to use.
+_Description: Live-build version to use:
+ Please select the version of live-build to use.
  .
- If you choose git, the current version of live-build from git will be
- used. host will use the live-build from the host system, and release will
- use the last released version.
+ If you choose "git", the current version of live-build from git will be
+ used. If you choose "host", live-build wille be used from the host
+ system. Finally, "release" will use the last released version.
 
 Template: live-build-cron/images-daily-distributions
 Type: multiselect
-_Choices: squeeze, wheezy, sid
+Choices: squeeze, wheezy, sid
 Default: sid
-_Description: What distributions to build for daily images?
- Select the distributions you would like to build for daily-images.
+_Description: Distribution(s) for built daily images:
+ Please select the distributions you would like to include on daily images.
 
 Template: live-build-cron/images-daily-flavours
 Type: multiselect
-_Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
+Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
 Default: standard
-_Description: What flavours to build for daily images?
- Select the flavours you would like to build for daily-images.
+_Description: Daily images flavours:
+ Please select the flavours you would like to include on daily images.
 
 Template: live-build-cron/images-weekly-distributions
 Type: multiselect
-_Choices: squeeze, wheezy, sid
+Choices: squeeze, wheezy, sid
 Default: wheezy
-_Description: What distributions to build for weekly images?
- Select the distributions you would like to build for weekly-images.
+_Description: Distribution for weekly images:
+ Please select the distributions you would like to include on weekly images.
 
 Template: live-build-cron/images-weekly-flavours
 Type: multiselect
-_Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
+Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
 Default: standard
-_Description: What flavours to build for weekly images?
- Select the flavours you would like to build for weekly-images.
+_Description: Weekly images flavours:
+ Please select the flavours you would like to include on weekly images.
 
 Template: live-build-cron/images-monthly-distributions
 Type: multiselect
 _Choices: squeeze, wheezy, sid
 Default: squeeze
-_Description: What distributions to build for monthly images?
- Select the distributions you would like to build for monthly-images.
+_Description: Distribution for monthly images:
+ Please select the distributions you would like to include on monthly images.
 
 Template: live-build-cron/images-monthly-flavours
 Type: multiselect
 _Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
 Default: standard
-_Description: What flavours to build for monthly images?
- Select the flavours you would like to build for monthly-images.
+_Description: Monthly images flavours:
+ Please select the flavours you would like to include on monthly images.
 
 Template: live-build-cron/images-source
 Type: boolean
 Default: false
 _Description: Enable source for live-build-cron-images?
- Do you sources for live-build-cron-images?
 
 Template: live-build-cron/manual-enable
 Type: boolean
 Default: false
 _Description: Enable live-build-cron-manual?
- Do you want to enable live-build-cron-manual?
- .
- If unsure, use 'no' (default).
+ Please choose whether you want to enable scheduled manual builds.
 
 Template: live-build-cron/manual-directory
 Type: string
 _Default: /srv/debian.net/live-manual
-_Description: What directory to put builds to?
- Enter the directory where the manual should be stored in.
+_Description: Directory for live images manual build:
+ Please enter the directory where the manual builds should be stored in.
 
 Template: live-build-cron/manual-cron
 Type: string
-_Default: 0-59/10 * * * *
-_Description: What interval to use for the cron job?
- Enter the cron times where the manual should be build.
+Default: 0-59/10 * * * *
+_Description: Cron times entry for manual builds:
+ Please enter cron times entry that will define times where the manual
+ should be built.
 
 Template: live-build-cron/manual-username
 Type: string
 _Default: live-build-cron-manual
-_Description: What useraccount to use to build the manual?
- Enter the name of the username.
+_Description: User account to use for manual builds.
+ Please enter the username that should be sued for manual builds.
--- live-build.old/debian/control	2011-10-01 07:35:47.423235601 +0200
+++ live-build/debian/control	2011-10-01 17:41:31.322970299 +0200
@@ -20,25 +20,21 @@
  dosfstools, genisoimage, memtest86+ | memtest86, mtools, parted,
  squashfs-tools | mtd-tools, sudo | fakeroot, syslinux | grub,
  uuid-runtime, win32-loader
-Description: Debian Live - System Build Scripts
- live-build contains the scripts that build a Debian Live system image from a
+Description: Debian Live - system build scripts
+ This package provides the scripts that build a Debian Live system image from a
  configuration directory.
 
 Package: live-build-cgi
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: apache2 | httpd
-Description: Debian Live - System Build Scripts (cgi frontend)
- live-build contains the scripts that build a Debian Live system image from a
- configuration directory.
- .
- This package contains the cgi frontend.
+Description: Debian Live - system build scripts - CGI frontend
+ This package provides the CGI frontend for scripts that build a
+ Debian Live system image from a configuration directory.
 
 Package: live-build-cron
 Architecture: all
 Depends: ${misc:Depends}, live-build (= ${source:Version}), cron
-Description: Debian Live - System Build Scripts (cron autobuilder)
- live-build contains the scripts that build a Debian Live system image from a
- configuration directory.
- .
- This package contains the cron autobuilder.
+Description: Debian Live - system build scripts - cron autobuilder
+ This package provides the cron autobuilder that builds a
+ Debian Live system image from a configuration directory.

-- 


[live-build-cron.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sat, 01 Oct 2011 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Oct 2011 17:24:07 GMT) Full text and rfc822 format available.

Message #20 received at 643957@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: 643957@bugs.debian.org
Subject: Re: [RFR] templates://live-build/{live-build-cron.templates}
Date: Sat, 1 Oct 2011 18:21:20 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
>  _Description: Enable images autobuild?

I think you mean:
   _Description: Enable image autobuilds?

[...]
> + Please choose whether you want to enable autobuild for images.

Getting rid of second person and giving readers an alternative
phrasing in case they didn't understand the first:

    Please choose whether live-images should be built automatically.
 
>  Template: live-build-cron/images-directory
[...]
> +Default: /srv/debian.net/live-cdimage
> +_Description: Directory for live images build:

That could be just

   _Description: Image build directory:

> + Please enter the directory where the images should be stored in.
                                                                 ^^
It doesn't need both "where" and "in", and to keep the people who
worry about sentence-final prepostions quiet:

    Please specify the directory where live-images should be stored.

Also avoiding "enter the directory", and expanding "image" to
"live-image" wherever possible in long descriptions.
  
>  Template: live-build-cron/images-cron
[...]
> +Default: 0 0 * * *
> +_Description: Cron times entry for image builds:
> + Please enter cron times entry that will define times where the images
> + should be built.

Well, for a start it's a cron "expression", and if I'm defining all
six fields I can control dates as well as times.  And "where" is the
directory again.  Maybe:

   _Description: Cron expression for image builds:
    Please specify the scheduling for the cronjob defining when live-images
    should be built.
 
>  Template: live-build-cron/images-build
[...]
> +_Description: Live-build version to use:
> + Please select the version of live-build to use.
>   .
> + If you choose "git", the current version of live-build from git will be
> + used. If you choose "host", live-build wille be used from the host
> + system. Finally, "release" will use the last released version.

Nice except for
    used. If you choose "host", the live-build from the host system will be
    used.
(There was a typo anyway: s/wille/will/)
  
>  Template: live-build-cron/images-daily-distributions
[...]
> +_Description: Distribution(s) for built daily images:
> + Please select the distributions you would like to include on daily images.

   _Description: Daily image distribution(s):
    Please select the distributions you would like to include for live-images
    built daily.
  
>  Template: live-build-cron/images-daily-flavours
[...]
> +_Description: Daily images flavours:
> + Please select the flavours you would like to include on daily images.

en_USify (throughout):

   _Description: Daily image flavor(s):
    Please select the flavors you would like to include for live-images
    built daily.

(But watch out for the template names.)

[...]
>  Template: live-build-cron/manual-enable
[...]
>  _Description: Enable live-build-cron-manual?
> + Please choose whether you want to enable scheduled manual builds.

Automatic manual builds?  Oh, wait, maybe you mean manual in the nroff
sense?  No, it's interpretation #3: http://live.debian.net/manual.  So
long descriptions should always talk about "builds of the manual", or
whatever, not "manual builds".

Anyway, shouldn't this just be parallel to images-enable?

    Please choose whether the manual should be built automatically.
 
>  Template: live-build-cron/manual-cron
[...]
> +_Description: Cron times entry for manual builds:
> + Please enter cron times entry that will define times where the manual
> + should be built.

  _Description: Cron expression for manual builds:
   Please specify the scheduling for the cronjob defining when the manual
   should be built.
  
>  Template: live-build-cron/manual-username
> +_Description: User account to use for manual builds.
> + Please enter the username that should be sued for manual builds.

   _Description: User account for manual builds:
    Please enter the username that should be used for builds of the manual.

In the control file:
> +Description: Debian Live - system build scripts
> +Description: Debian Live - system build scripts - CGI frontend
> +Description: Debian Live - system build scripts - cron autobuilder

My only suggestion is that it could drop the first dash.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[live-build-cron.templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sun, 02 Oct 2011 06:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 02 Oct 2011 06:57:08 GMT) Full text and rfc822 format available.

Message #25 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: debian-l10n-english@lists.debian.org, 643957@bugs.debian.org
Subject: Re: [RFR] templates://live-build/{live-build-cron.templates}
Date: Sun, 2 Oct 2011 08:52:46 +0200
[Message part 1 (text/plain, inline)]
As usual, I adopted all of Justin's suggestion..:-)

Sometimes, I wonder if it's really worht me re-reading them entirely
as they're always acceptable for me..:-)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Wed, 12 Oct 2011 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 12 Oct 2011 10:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://live-build/{live-build-cron.templates}
Date: Wed, 12 Oct 2011 07:16:47 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for live-build.

The reviewed templates will be sent on Friday, October 14, 2011 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[live-build-cron.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Thu, 13 Oct 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 13 Oct 2011 13:09:11 GMT) Full text and rfc822 format available.

Message #35 received at 643957@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: 643957@bugs.debian.org
Subject: Re: [LCFC] templates://live-build/{live-build-cron.templates}
Date: Thu, 13 Oct 2011 13:23:32 +0100
I hope I'm not too late to point out:

Christian PERRIER wrote:
> Template: live-build-cron/images-daily-flavours
> Type: multiselect
> Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
> Default: standard
> _Description: Daily image flavor(s):
>  Please select the flavors you would like to include for for live-images
>  built daily.

Doubled "for"                                          ^1^ ^2^
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sat, 22 Oct 2011 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 22 Oct 2011 08:57:06 GMT) Full text and rfc822 format available.

Message #40 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#643957] templates://live-build/{live-build-cron.templates} : Final update for English review
Date: Sat, 22 Oct 2011 05:50:20 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Saturday, October 01, 2011, I notified you of the beginning of a review process
concerning debconf templates for live-build.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading live-build with these changes
right now.

The second phase of this process will begin on Tuesday, October 25, 2011, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Tuesday, November 15, 2011. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Wednesday, November 16, 2011, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[live-build-cron.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Thu, 27 Oct 2011 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 Oct 2011 09:33:06 GMT) Full text and rfc822 format available.

Message #45 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#643957: [BTS#643957] templates://live-build/{live-build-cron.templates} : Final update for English review
Date: Thu, 27 Oct 2011 14:45:47 +0530
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Dear Debian maintainer,
> 
> On Saturday, October 01, 2011, I notified you of the beginning of a review process
> concerning debconf templates for live-build.

There is indeed a minor error (double space) in the reviewed templates:

> Template: live-build-cron/images-daily-flavours
> Type: multiselect
> Choices: standard, rescue, gnome-desktop, kde-desktop, lxde-desktop, xfce-desktop
> Default: standard
> _Description: Daily image flavor(s):
>  Please select the flavors you would like to include for  live-images
>  built daily.
                                                          ^^^


Corrected templates file attached.

[live-build-cron.templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Thu, 10 Nov 2011 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 10 Nov 2011 19:27:05 GMT) Full text and rfc822 format available.

Message #50 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#643957: [BTS#643957] templates://live-build/{live-build-cron.templates} : Final update for English review
Date: Thu, 10 Nov 2011 20:25:47 +0100
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Dear Debian maintainer,
> 
> On Saturday, October 01, 2011, I notified you of the beginning of a review process
> concerning debconf templates for live-build.

A double space remained in the proposed templates (indeed a space at
the end of a line).

Please find attached the fixed file.

[live-build-cron.templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643957; Package live-build. (Sun, 13 Nov 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 13 Nov 2011 07:42:04 GMT) Full text and rfc822 format available.

Message #55 received at 643957@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 643957@bugs.debian.org
Subject: live-build: General update after the debconf review process
Date: Sun, 13 Nov 2011 08:38:44 +0100
[Message part 1 (text/plain, inline)]
IMPORTANT NOTE: please use files attached in this summary (templates
and PO files) rather than those sent by translators...unless you use
the corrected files I sent in the different bug reports. Feel free to
ask for clarification if these explanations are unclear..:-))

Dear Debian maintainer,

On Saturday, October 01, 2011, I sent you a notification about the beginning of a review
action on debconf templates for live-build.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Saturday, October 01, 2011. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 14 Nov 2011 12:07:09 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 14 Nov 2011 12:07:35 GMT) Full text and rfc822 format available.

Message #60 received at 643957-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 643957-close@bugs.debian.org
Subject: Bug#643957: fixed in live-build 3.0~a39-1
Date: Mon, 14 Nov 2011 12:02:51 +0000
Source: live-build
Source-Version: 3.0~a39-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a39-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a39-1_all.deb
live-build-cron_3.0~a39-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a39-1_all.deb
live-build_3.0~a39-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a39-1.debian.tar.gz
live-build_3.0~a39-1.dsc
  to main/l/live-build/live-build_3.0~a39-1.dsc
live-build_3.0~a39-1_all.deb
  to main/l/live-build/live-build_3.0~a39-1_all.deb
live-build_3.0~a39.orig.tar.gz
  to main/l/live-build/live-build_3.0~a39.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Nov 2011 12:46:20 +0100
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a39-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 643957 647601 647820 647993 648346 648377 648381 648457 648463 648484 648693
Changes: 
 live-build (3.0~a39-1) unstable; urgency=low
 .
   * Adding temporary manual setting of d-i urls for progress.
   * Removing --tasks leftovers in lb_config.
   * Sorting overrides in rules alphabetically.
   * Also setting 5% margin for ext4 images, thanks to Neil Wilson
     <neil@aldur.co.uk> for spotting it (Closes: #647601).
   * Applying some of the suggestions from the reviewed control file from
     debian-l10n-english (Closes: #643957).
   * Applying some of the suggestions from the reviewed template file
     from debian-l10n-english.
   * Adding initial Czech debconf translations from Michal Simunek
     <michal.simunek@gmail.com> (Closes: #648457).
   * Adding initial Danish debconf translations from Joe Dalton
     <joedalton2@yahoo.dk> (Closes: #648346).
   * Adding initial Spanish debconf translations from Gildardo Adrián
     Maravilla Jácome <gilmjc@gmail.com> and Francisco Javier Cuadrado
     <fcocuadrado@gmail.com> (Closes: #648463).
   * Adding initial French debconf translations from Julien Patriarca
     <patriarcaj@gmail.com> (Closes: #647820).
   * Adding initial Portuguese debconf translations from Miguel
     Figueiredo <elmig@debianpt.org> (Closes: #648484).
   * Adding initial Russian debconf translations from Yuri Kozlov
     <yuray@komyakino.ru> (Closes: #647993).
   * Adding initial Swedish debconf translations from Martin Bagge
     <brother@bsnet.se> (Closes: #648377).
   * Adding initial Telugu debconf translations from Praveen Illa
     <mail2ipn@gmail.com> (Closes: #648693).
   * Adding initial German debconf translations from Holger Wansing
     <linux@wansing-online.de> (Closes: #648381).
   * Updating and completing German debconf translations.
Checksums-Sha1: 
 1b9e9455abd59f52a33943871d1ce7f3d8f367c1 1413 live-build_3.0~a39-1.dsc
 19e1ed0f5010120934e2686821057a5a66eed903 1822064 live-build_3.0~a39.orig.tar.gz
 6911ea2094e395233eb42f647c80437f3c84f1c3 58838 live-build_3.0~a39-1.debian.tar.gz
 2217ad1d42a6525e9503544b9fd7733eeb859c4d 1138126 live-build_3.0~a39-1_all.deb
 306f3b60313a92ba28985d60ffb9ed735020b560 64106 live-build-cgi_3.0~a39-1_all.deb
 b0a2ec1b007021802554a1ea7a5cc67261a03e8f 67078 live-build-cron_3.0~a39-1_all.deb
Checksums-Sha256: 
 6cb65be129bce3d9bcbad82acf15e748993db8bb20c119052f7b5a649b912699 1413 live-build_3.0~a39-1.dsc
 0408fb24726bacf3c192734aa7e4120d2941796ca26d0adadbf9736890272559 1822064 live-build_3.0~a39.orig.tar.gz
 efbf66441a617f6c57bc7acb1664e259337478fa50379980d0e46057722c2c88 58838 live-build_3.0~a39-1.debian.tar.gz
 804e2c838d75029be85b21c2808c6f998915722e31e5692ad751064a6c16b511 1138126 live-build_3.0~a39-1_all.deb
 7b9330b7d2a7ffb2a4eb7cc308b5edec00e65e887cc90d2ca6e7d62cb97b8d3e 64106 live-build-cgi_3.0~a39-1_all.deb
 2180687188c089f2b4be36b738c3999645babca9c0389d0657def3bcdb1b9f9d 67078 live-build-cron_3.0~a39-1_all.deb
Files: 
 15205bc2dad0dab6e79d707fd3441d35 1413 misc optional live-build_3.0~a39-1.dsc
 bf0457edcd2911043b8db9fc3321bf8b 1822064 misc optional live-build_3.0~a39.orig.tar.gz
 77ed2c1f4d224d3276f0abf9d131d592 58838 misc optional live-build_3.0~a39-1.debian.tar.gz
 1f84751cbba40f277c6950df62f584a5 1138126 misc optional live-build_3.0~a39-1_all.deb
 5158a4fffb6b11d74d80ff4cedab0c33 64106 misc optional live-build-cgi_3.0~a39-1_all.deb
 b85233db1a9607b18e2b00fad4c9ed5a 67078 misc optional live-build-cron_3.0~a39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk7BAfkACgkQ+C5cwEsrK57FrwCg0sbAIhTyvopxMGNycBPWO85X
p14AoJ/Crkf77/MtNl+yg9khgoZvGW4S
=JwGB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Dec 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.